安裝我們的應用程式 🪄 點擊地址欄右上角的 圖示。

網域名稱

GET https://www.am-devel.com/api/domain-names/
curl --request GET \
--url 'https://www.am-devel.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
參數 詳細資訊 描述
page 可選的 整數 您想要結果的頁碼。預設為 1
results_per_page 可選的 整數 每頁您想要多少結果。允許的值為:10 , 25 , 50 , 100 , 250 , 500 , 1000。默認為25
{ "data": [ { "id": 1, "project_id": 0, "name": "AltumCode.Com", "target": "altumcode.com", "whois": { "start_datetime": "2019-12-15 18:03:36", "updated_datetime": "2020-05-24 15:37:15", "end_datetime": "2022-12-15 18:03:36", "registrar": "NAMECHEAP INC", "nameservers": [ "ns1.digitalocean.com", "ns2.digitalocean.com", "ns3.digitalocean.com" ] }, "whois_notifications": null, "ssl": { "organization": "Let's Encrypt", "common_name": "R3", "start_datetime": "2021-06-05 14:40:13", "end_datetime": "2021-09-03 14:40:13" }, "ssl_notifications": null, "total_checks": 25, "last_check_datetime": "2021-07-01 14:42:14", "next_check_datetime": "2021-07-04 14:42:15", "is_enabled": true, "last_datetime": null, "datetime": "2026-09-17 13:48:15" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://www.am-devel.com/api/domain-names?&page=1", "last": "https://www.am-devel.com/api/domain-names?&page=1", "next": null, "prev": null, "self": "https://www.am-devel.com/api/domain-names?&page=1" } }
GET https://www.am-devel.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://www.am-devel.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "project_id": 0, "name": "AltumCode.Com", "target": "altumcode.com", "whois": { "start_datetime": "2019-12-15 18:03:36", "updated_datetime": "2020-05-24 15:37:15", "end_datetime": "2022-12-15 18:03:36", "registrar": "NAMECHEAP INC", "nameservers": [ "ns1.digitalocean.com", "ns2.digitalocean.com", "ns3.digitalocean.com" ] }, "whois_notifications": null, "ssl": { "organization": "Let's Encrypt", "common_name": "R3", "start_datetime": "2021-06-05 14:40:13", "end_datetime": "2021-09-03 14:40:13" }, "ssl_notifications": null, "total_checks": 25, "last_check_datetime": "2021-07-01 14:42:14", "next_check_datetime": "2021-07-04 14:42:15", "is_enabled": true, "last_datetime": null, "datetime": "2026-09-17 13:48:15" } }
POST https://www.am-devel.com/api/domain-names
參數 詳細資訊 描述
name 必填 字串 -
target 必填 字串 -
project_id 可選的 整數 -
whois_notifications 可選的 陣列 通知處理程序 ID
whois_notifications_timing 可選的 整數 允許的值:1, 2, 3, 7, 14, 30, 60 (天數)
ssl_notifications 可選的 陣列 通知處理程序 ID
ssl_notifications_timing 可選的 整數 允許的值:1, 2, 3, 7, 14, 30, 60 (天數)
is_enabled 可選的 布林值 -
curl --request POST \
--url 'https://www.am-devel.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{ "data": { "id": 1 } }
POST https://www.am-devel.com/api/domain-names/{domain_name_id}
參數 詳細資訊 描述
name 可選的 字串 -
target 可選的 字串 -
project_id 可選的 整數 -
whois_notifications 可選的 陣列 通知處理程序 ID
whois_notifications_timing 可選的 整數 允許的值:1, 2, 3, 7, 14, 30, 60 (天數)
ssl_notifications 可選的 陣列 通知處理程序 ID
ssl_notifications_timing 可選的 整數 允許的值:1, 2, 3, 7, 14, 30, 60 (天數)
is_enabled 可選的 布林值 -
curl --request POST \
--url 'https://www.am-devel.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{ "data": { "id": 1 } }
DELETE https://www.am-devel.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://www.am-devel.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \